Bug 1582402 - [Tracker-RHGS-BZ#1618221] "Repeated failure/recovery of glusterd" + "volume create request on cns setup" can lead to a stale volume entry in gluster
Summary: [Tracker-RHGS-BZ#1618221] "Repeated failure/recovery of glusterd" + "volume c...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-server-container
Version: cns-3.10
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Raghavendra Talur
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On: 1618221
Blocks: OCS-3.11.1-Engineering-Proposed-BZs OCS-3.11.1-devel-triage-done
TreeView+ depends on / blocked
 
Reported: 2018-05-25 06:42 UTC by Neha Berry
Modified: 2020-02-19 14:40 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, if a gluster node was not online when a volume was deleted, that volume would be recreated outside heketi as soon as the offline node reconnected to the cluster. This led to a mismatch between heketi and gluster volume lists. Gluster now avoids authorizing a volume that is marked for deletion so that this situation does not occur.
Clone Of: 1565940
Environment:
Last Closed: 2020-02-19 14:39:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 Raghavendra Talur 2018-08-16 17:45:54 UTC
This is probably fixed by https://bugzilla.redhat.com/show_bug.cgi?id=1599823. We need to re-test.

Comment 7 Humble Chirammal 2018-09-24 06:53:53 UTC
>
This BZ should be actually needs to be marked as dependent of https://bugzilla.redhat.com/show_bug.cgi?id=1618221, the fix is already merged upstream and the plan is to get this fix into the RHGS 3.4.0 batch update 1.
>

As per latest discussions, we are planning RHGS fix for bz#1618221 in rhgs3.4.z async and not BU1.

@atinm please confirm.

Based on above, I am providing devel ack for this bug.

Comment 10 Atin Mukherjee 2018-09-25 14:55:26 UTC
(In reply to Humble Chirammal from comment #7)
> >
> This BZ should be actually needs to be marked as dependent of
> https://bugzilla.redhat.com/show_bug.cgi?id=1618221, the fix is already
> merged upstream and the plan is to get this fix into the RHGS 3.4.0 batch
> update 1.
> >
> 
> As per latest discussions, we are planning RHGS fix for bz#1618221 in
> rhgs3.4.z async and not BU1.
> 
> @atinm please confirm.

That's correct!

> 
> Based on above, I am providing devel ack for this bug.

Comment 15 Anjana KD 2018-10-11 07:30:37 UTC
Have updated the doc text field , kindly verify.


Note You need to log in before you can comment on or make changes to this bug.